bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r..@apache.org
Subject [1/4] bigtop git commit: ODPI-72. Build out VM for sandbox/reference implementation
Date Mon, 13 Mar 2017 21:42:37 GMT
Repository: bigtop
Updated Branches:
  refs/heads/master bbf53b727 -> d86f0da78


ODPI-72. Build out VM for sandbox/reference implementation

(cherry picked from commit cb637b3419bedca944831d2bc5239813970e588b)


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/d78693be
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/d78693be
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/d78693be

Branch: refs/heads/master
Commit: d78693bed54fbb239aacff939a2e03663050d887
Parents: bbf53b7
Author: Konstantin Boudnik <cos@boudnik.org>
Authored: Thu Mar 3 11:33:16 2016 -0800
Committer: Roman Shaposhnik <rvs@apache.org>
Committed: Mon Mar 13 14:35:59 2017 -0700

----------------------------------------------------------------------
 .../vm/vagrant-puppet-vm/create-sandboxes.sh    | 29 ++++++++++++++++++++
 1 file changed, 29 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/d78693be/bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh
----------------------------------------------------------------------
diff --git a/bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh b/bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh
new file mode 100755
index 0000000..bbedad3
--- /dev/null
+++ b/bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh
@@ -0,0 +1,29 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#!/bin/bash
+
+set -ex
+WORKDIR=$0.$$.dir
+mkdir -p $WORKDIR
+VERSION=${1:-1.0}
+NAME="vagrant-odpi-v$VERSION"
+# clean everything
+vagrant destroy -f
+vagrant up
+vagrant package --output $WORKDIR/${NAME}.box
+vagrant halt
+vmname=`VBoxManage  list vms | cut -d \" -f 2`
+VBoxManage export $vmname --output=$WORKDIR/${NAME}.ova --ovf20
+vagrant destroy -f


Mime
View raw message